Subject: Re: pkt-line and LF terminated lines of data

From: Junio C Hamano <[email-masked]>
Date: Thu, 29 Apr 2021 12:16:14 +0900

[email-masked] writes:

> What am I missing? What should be added to this documentation that gives
> more detail on when/why/how a pkt-line would be determined to be
> non-binary and the LF stripping would occur?

There is (unfortunately) none.  What payload each packet carries is
determined by the protocol, so a man-in-the-middle who is observing
a protocol exchange without any knowledge of the protocol that runs
on top of the pkt-line layer by definition would not be able to tell
which packet is binary (as it is unaware of what exchange is made).